Package com.enonic.xp.app

## Interface Application

-     @PublicApi
      public interface Application

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.osgi.framework.Bundle` | `getBundle()` |
    `Set<String>` | `getCapabilities()` |
    `ClassLoader` | `getClassLoader()` |
    `Configuration` | `getConfig()` |
    `String` | `getDisplayName()` |
    `Set<String>` | `getFiles()` | Deprecated.
    `ApplicationKey` | `getKey()` |
    `String` | `getMaxSystemVersion()` |
    `String` | `getMinSystemVersion()` |
    `Instant` | `getModifiedTime()` |
    `String` | `getSystemVersion()` |
    `String` | `getUrl()` |
    `String` | `getVendorName()` |
    `String` | `getVendorUrl()` |
    `org.osgi.framework.Version` | `getVersion()` |
    `boolean` | `includesSystemVersion​(org.osgi.framework.Version version)` |
    `boolean` | `isStarted()` |
    `boolean` | `isSystem()` |
    `URL` | `resolveFile​(String path)` | Deprecated.

- - ### Method Detail

    - #### getKey

          ApplicationKey getKey()

    - #### getVersion

          org.osgi.framework.Version getVersion()

    - #### getDisplayName

          String getDisplayName()

    - #### getSystemVersion

          String getSystemVersion()

    - #### getMaxSystemVersion

          String getMaxSystemVersion()

    - #### getMinSystemVersion

          String getMinSystemVersion()

    - #### includesSystemVersion

          boolean includesSystemVersion​(org.osgi.framework.Version version)

    - #### getUrl

          String getUrl()

    - #### getVendorName

          String getVendorName()

    - #### getVendorUrl

          String getVendorUrl()

    - #### getBundle

          org.osgi.framework.Bundle getBundle()

    - #### getClassLoader

          ClassLoader getClassLoader()

    - #### getModifiedTime

          Instant getModifiedTime()

    - #### getCapabilities

          Set<String> getCapabilities()

    - #### isStarted

          boolean isStarted()

    - #### getFiles

          @Deprecated
          Set<String> getFiles()

      Deprecated.

    - #### resolveFile

          @Deprecated
          URL resolveFile​(String path)

      Deprecated.

    - #### getConfig

          Configuration getConfig()

    - #### isSystem

          boolean isSystem()